View Issue Details

IDProjectCategoryView StatusLast Update
0006299Multi Theft Auto : San AndreasVehiclespublic2012-01-24 19:44
ReporterarranTunaAssigned ToCazomino05 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version1.3Fixed in Version1.3 
Summary0006299: [1.1] Always falling off bikes and motorbikes
Description

Get a pedal bike or motorbike and go forwards then do a jump, your player will fall off. Also tapping something and your player will fall off.

Additional Information

Reproduced on all of these:

581 BF-400
509 Bike
481 BMX
462 Faggio
521 FCR-900
463 Freeway
510 Mountain Bike
522 NRG-500
461 PCJ-600
448 Pizza Boy
468 Sanchez
586 Wayfarer

TagsNo tags attached.

Activities

arranTuna

2011-08-01 20:24

manager   ~~0014092

I'm just guessing but as monster trucks were fixed like this: http://code.google.com/p/mtasa-blue/source/detail?r=2856#

Same thing could be done for the bikes? http://pastebin.com/s9613tN2 and that HookInstallCall thingy but for bikes?

Picard

2011-08-02 00:22

updater   ~~0014096

Issue automatically marked as fixed by mantisbot ( Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=2921 )

Cazomino05

2011-08-02 01:33

reporter   ~~0014100

Set your bike skill to max.

arranTuna

2011-08-27 21:05

manager   ~~0014505

Setting bike skill to 1000 does not help see video below: (I don't even bump into anything)

http://www.youtube.com/watch?v=S4E0OGAcC_U

People are complaining of this all time so I'm going to have to hack fix it with setPedCanBeKnockedOffBike.

Awwu

2011-08-27 21:22

viewer   ~~0014507

Try using 999 instead of 1000, that's what defaultstats does at least.

arranTuna

2011-08-27 21:24

manager   ~~0014508

Doesn't help.

x86

2011-09-23 14:16

administrator   ~~0014886

Retest

arranTuna

2011-12-28 12:35

manager   ~~0015551

This was fixed by not using setAircraftMaxHeight.

Picard

2012-01-02 05:12

updater   ~~0015577

Issue automatically marked as fixed by mantisbot ( Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=3635 )

Issue History

Date Modified Username Field Change